/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.elementLibrary;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
* Restful接口--更新资源--数据传输对象：元素信息管理
*
* createdate:  2022-11-04 09:57:50  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "元素信息管理")
public class AtuElementInfoUpdateDto implements Serializable
{
    /**
     * 元素ID<br>
     */
    @ApiModelProperty("元素ID")
    @Size(max = 255, message="元素ID-id: 数据长度不能 > 255" )
    @NotBlank(message = "元素ID不能为空")
    private String id;
    /**
     * 元素名称<br>
     */
    @ApiModelProperty("元素名称")
    @Size(max = 255, message="元素名称-name: 数据长度不能 > 255" )
    @NotBlank(message = "元素名称不能为空")
    private String name;
    /**
     * 元素类型<br>
     */
    @ApiModelProperty("元素类型")
    @Size(max = 255, message="元素类型-type: 数据长度不能 > 255" )
    @NotBlank(message = "元素类型不能为空")
    private String type;

    @ApiModelProperty("元素获取方式集合")
    private List<AtuElementFetchTypeDto> fetchTypeList;

    public List<AtuElementFetchTypeDto> getFetchTypeList() {
        return fetchTypeList;
    }

    public void setFetchTypeList(List<AtuElementFetchTypeDto> fetchTypeList) {
        this.fetchTypeList = fetchTypeList;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}